import { IotizeACLGroup } from './iotize-acl-group';
/**
 *
 */
export declare type ACLRightType = 'read' | 'write';
export declare class IotizeACL {
    aclGroup?: IotizeACLGroup | undefined;
    data: any;
    constructor(data: any, aclGroup?: IotizeACLGroup | undefined);
    static create(profileName: string, aclGroup?: IotizeACLGroup): IotizeACL;
    toJson(): any;
    listRights(): ACLRightType[];
    username(): string;
    hasRight(name: ACLRightType): boolean;
    protected _getProperty(name: string, defaultValue?: string): any;
}
